Module | Nokogiri::HTML
In: | lib/nokogiri/html.rb lib/nokogiri/html/builder.rb lib/nokogiri/html/document.rb lib/nokogiri/html/document_fragment.rb lib/nokogiri/html/element_description.rb lib/nokogiri/html/element_description_defaults.rb lib/nokogiri/html/entity_lookup.rb lib/nokogiri/html/sax/parser.rb lib/nokogiri/html/sax/parser_context.rb ext/nokogiri/xml_sax_push_parser.c

call-seq:

     [](tag_name)

Get ElemementDescription for `tag_name`

### Methods

fragment parse

### Classes and Modules

Module Nokogiri::HTML::SAX
Class Nokogiri::HTML::Builder
Class Nokogiri::HTML::Document
Class Nokogiri::HTML::DocumentFragment
Class Nokogiri::HTML::ElementDescription
Class Nokogiri::HTML::EntityDescription
Class Nokogiri::HTML::EntityLookup

### Constants

NamedCharacters | = | EntityLookup.new |  | Instance of Nokogiri::HTML::EntityLookup

### Public Class methods

fragment(string, encoding = nil)

Parse a fragment from `string` in to a NodeSet.

parse(thing, url = nil, encoding = nil, options = XML::ParseOptions::DEFAULT_HTML, &block)

Parse HTML. Convenience method for Nokogiri::HTML::Document.parse

[Validate]